<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class FooterService extends AbstractServiceClient implements FooterServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'FooterService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param array $data
     * @return mixed
     */
    public function getFooterCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

}